Index: pjproject/trunk/pjsip-apps/src/py_pjsua/py_pjsua.c
===================================================================
--- pjproject/trunk/pjsip-apps/src/py_pjsua/py_pjsua.c	(revision 1429)
+++ pjproject/trunk/pjsip-apps/src/py_pjsua/py_pjsua.c	(revision 1430)
@@ -8177,57 +5713,53 @@
     );
 
-    Py_INCREF(&callback_Type);
-    PyModule_AddObject(m, "Callback", (PyObject *)&callback_Type);
-
-    Py_INCREF(&config_Type);
-    PyModule_AddObject(m, "Config", (PyObject *)&config_Type);
-
-    Py_INCREF(&media_config_Type);
-    PyModule_AddObject(m, "Media_Config", (PyObject *)&media_config_Type);
-
-    Py_INCREF(&logging_config_Type);
-    PyModule_AddObject(m, "Logging_Config", (PyObject *)&logging_config_Type);
-
-    Py_INCREF(&msg_data_Type);
-    PyModule_AddObject(m, "Msg_Data", (PyObject *)&msg_data_Type);
-
-    Py_INCREF(&pjsip_event_Type);
-    PyModule_AddObject(m, "PJSIP_Event", (PyObject *)&pjsip_event_Type);
-
-    Py_INCREF(&pjsip_rx_data_Type);
-    PyModule_AddObject(m, "PJSIP_RX_Data", (PyObject *)&pjsip_rx_data_Type);
-
-    Py_INCREF(&pj_pool_Type);
-    PyModule_AddObject(m, "PJ_Pool", (PyObject *)&pj_pool_Type);
-
-    Py_INCREF(&pjsip_endpoint_Type);
-    PyModule_AddObject(m, "PJSIP_Endpoint", (PyObject *)&pjsip_endpoint_Type);
-
-    Py_INCREF(&pjmedia_endpt_Type);
-    PyModule_AddObject(m, "PJMedia_Endpt", (PyObject *)&pjmedia_endpt_Type);
-
-    Py_INCREF(&pj_pool_factory_Type);
+    Py_INCREF(&PyTyp_pjsua_callback);
+    PyModule_AddObject(m, "Callback", (PyObject *)&PyTyp_pjsua_callback);
+
+    Py_INCREF(&PyTyp_pjsua_config);
+    PyModule_AddObject(m, "Config", (PyObject *)&PyTyp_pjsua_config);
+
+    Py_INCREF(&PyTyp_pjsua_media_config);
+    PyModule_AddObject(m, "Media_Config", (PyObject *)&PyTyp_pjsua_media_config);
+
+    Py_INCREF(&PyTyp_pjsua_logging_config);
+    PyModule_AddObject(m, "Logging_Config", (PyObject *)&PyTyp_pjsua_logging_config);
+
+    Py_INCREF(&PyTyp_pjsua_msg_data);
+    PyModule_AddObject(m, "Msg_Data", (PyObject *)&PyTyp_pjsua_msg_data);
+
+    Py_INCREF(&PyTyp_pjsip_event);
+    PyModule_AddObject(m, "Pjsip_Event", (PyObject *)&PyTyp_pjsip_event);
+
+    Py_INCREF(&PyTyp_pjsip_rx_data);
+    PyModule_AddObject(m, "Pjsip_Rx_Data", (PyObject *)&PyTyp_pjsip_rx_data);
+
+    Py_INCREF(&PyTyp_pj_pool_t);
+    PyModule_AddObject(m, "Pj_Pool", (PyObject *)&PyTyp_pj_pool_t);
+
+    Py_INCREF(&PyTyp_pjsip_endpoint);
+    PyModule_AddObject(m, "Pjsip_Endpoint", (PyObject *)&PyTyp_pjsip_endpoint);
+
+    Py_INCREF(&PyTyp_pjmedia_endpt);
+    PyModule_AddObject(m, "Pjmedia_Endpt", (PyObject *)&PyTyp_pjmedia_endpt);
+
+    Py_INCREF(&PyTyp_pj_pool_factory);
     PyModule_AddObject(
-        m, "PJ_Pool_Factory", (PyObject *)&pj_pool_factory_Type
+        m, "Pj_Pool_Factory", (PyObject *)&PyTyp_pj_pool_factory
     );
 
-    Py_INCREF(&pjsip_cred_info_Type);
-    PyModule_AddObject(m, "PJSIP_Cred_Info",
-        (PyObject *)&pjsip_cred_info_Type
+    Py_INCREF(&PyTyp_pjsip_cred_info);
+    PyModule_AddObject(m, "Pjsip_Cred_Info",
+        (PyObject *)&PyTyp_pjsip_cred_info
     );
 
     /* LIB TRANSPORT */
 
-    Py_INCREF(&transport_config_Type);
+    Py_INCREF(&PyTyp_pjsua_transport_config);
     PyModule_AddObject
-        (m, "Transport_Config", (PyObject *)&transport_config_Type);
-    Py_INCREF(&host_port_Type);
-    PyModule_AddObject(m, "Host_Port", (PyObject *)&host_port_Type);
-    
-    Py_INCREF(&transport_info_Type);
-    PyModule_AddObject(m, "Transport_Info", (PyObject *)&transport_info_Type);
-    
-    Py_INCREF(&pjsip_transport_Type);
-    PyModule_AddObject(m, "PJSIP_Transport", (PyObject *)&pjsip_transport_Type);
+        (m, "Transport_Config", (PyObject *)&PyTyp_pjsua_transport_config);
+    
+    Py_INCREF(&PyTyp_pjsua_transport_info);
+    PyModule_AddObject(m, "Transport_Info", (PyObject *)&PyTyp_pjsua_transport_info);
+    
 
     /* END OF LIB TRANSPORT */
@@ -8236,8 +5768,8 @@
 
     
-    Py_INCREF(&acc_config_Type);
-    PyModule_AddObject(m, "Acc_Config", (PyObject *)&acc_config_Type);
-    Py_INCREF(&acc_info_Type);
-    PyModule_AddObject(m, "Acc_Info", (PyObject *)&acc_info_Type);
+    Py_INCREF(&PyTyp_pjsua_acc_config);
+    PyModule_AddObject(m, "Acc_Config", (PyObject *)&PyTyp_pjsua_acc_config);
+    Py_INCREF(&PyTyp_pjsua_acc_info);
+    PyModule_AddObject(m, "Acc_Info", (PyObject *)&PyTyp_pjsua_acc_info);
 
     /* END OF LIB ACCOUNT */
@@ -8245,8 +5777,8 @@
     /* LIB BUDDY */
     
-    Py_INCREF(&buddy_config_Type);
-    PyModule_AddObject(m, "Buddy_Config", (PyObject *)&buddy_config_Type);
-    Py_INCREF(&buddy_info_Type);
-    PyModule_AddObject(m, "Buddy_Info", (PyObject *)&buddy_info_Type);
+    Py_INCREF(&PyTyp_pjsua_buddy_config);
+    PyModule_AddObject(m, "Buddy_Config", (PyObject *)&PyTyp_pjsua_buddy_config);
+    Py_INCREF(&PyTyp_pjsua_buddy_info);
+    PyModule_AddObject(m, "Buddy_Info", (PyObject *)&PyTyp_pjsua_buddy_info);
 
     /* END OF LIB BUDDY */
@@ -8254,22 +5786,22 @@
     /* LIB MEDIA */
 
-    Py_INCREF(&codec_info_Type);
-    PyModule_AddObject(m, "Codec_Info", (PyObject *)&codec_info_Type);
-    Py_INCREF(&conf_port_info_Type);
-    PyModule_AddObject(m, "Conf_Port_Info", (PyObject *)&conf_port_info_Type);
-    Py_INCREF(&pjmedia_port_Type);
-    PyModule_AddObject(m, "PJMedia_Port", (PyObject *)&pjmedia_port_Type);
-    Py_INCREF(&pjmedia_snd_dev_info_Type);
+    Py_INCREF(&PyTyp_pjsua_codec_info);
+    PyModule_AddObject(m, "Codec_Info", (PyObject *)&PyTyp_pjsua_codec_info);
+    Py_INCREF(&PyTyp_pjsua_conf_port_info);
+    PyModule_AddObject(m, "Conf_Port_Info", (PyObject *)&PyTyp_pjsua_conf_port_info);
+    Py_INCREF(&PyTyp_pjmedia_port);
+    PyModule_AddObject(m, "PJMedia_Port", (PyObject *)&PyTyp_pjmedia_port);
+    Py_INCREF(&PyTyp_pjmedia_snd_dev_info);
     PyModule_AddObject(m, "PJMedia_Snd_Dev_Info", 
-	(PyObject *)&pjmedia_snd_dev_info_Type);
-    Py_INCREF(&pjmedia_codec_param_info_Type);
+	(PyObject *)&PyTyp_pjmedia_snd_dev_info);
+    Py_INCREF(&PyTyp_pjmedia_codec_param_info);
     PyModule_AddObject(m, "PJMedia_Codec_Param_Info", 
-	(PyObject *)&pjmedia_codec_param_info_Type);
-    Py_INCREF(&pjmedia_codec_param_setting_Type);
+	(PyObject *)&PyTyp_pjmedia_codec_param_info);
+    Py_INCREF(&PyTyp_pjmedia_codec_param_setting);
     PyModule_AddObject(m, "PJMedia_Codec_Param_Setting", 
-	(PyObject *)&pjmedia_codec_param_setting_Type);
-    Py_INCREF(&pjmedia_codec_param_Type);
+	(PyObject *)&PyTyp_pjmedia_codec_param_setting);
+    Py_INCREF(&PyTyp_pjmedia_codec_param);
     PyModule_AddObject(m, "PJMedia_Codec_Param", 
-	(PyObject *)&pjmedia_codec_param_Type);
+	(PyObject *)&PyTyp_pjmedia_codec_param);
 
     /* END OF LIB MEDIA */
@@ -8277,9 +5809,9 @@
     /* LIB CALL */
 
-    Py_INCREF(&pj_time_val_Type);
-    PyModule_AddObject(m, "PJ_Time_Val", (PyObject *)&pj_time_val_Type);
-
-    Py_INCREF(&call_info_Type);
-    PyModule_AddObject(m, "Call_Info", (PyObject *)&call_info_Type);
+    Py_INCREF(&PyTyp_pj_time_val);
+    PyModule_AddObject(m, "PJ_Time_Val", (PyObject *)&PyTyp_pj_time_val);
+
+    Py_INCREF(&PyTyp_pjsua_call_info);
+    PyModule_AddObject(m, "Call_Info", (PyObject *)&PyTyp_pjsua_call_info);
 
     /* END OF LIB CALL */
